Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.common
Class ObfuscationReflectionHelper

    java.lang.Object
      cpw.mods.fml.common.ObfuscationReflectionHelper

    public class ObfuscationReflectionHelper

extends Object

Some reflection helper code.

Author:
  cpw

Field Summary
`static boolean` | `obfuscation`

Constructor Summary
`ObfuscationReflectionHelper()`

Method Summary
`static void` | `detectObfuscation(Class<?> clazz)`
`static
`<T,E> T`
` | `getPrivateValue(Class<? super E> classToAccess, E instance, int fieldIndex)`
`static
`<T,E> T`
` | `getPrivateValue(Class<? super E> classToAccess, E instance, String... fieldNames)`
`static
`<T,E> void`
` | `setPrivateValue(Class<? super T> classToAccess, T instance, E value, int fieldIndex)`
`static
`<T,E> void`
` | `setPrivateValue(Class<? super T> classToAccess, T instance, E value, String... fieldNames)`
`static
`<T,E> void`
` | `setPrivateValue(Class<? super T> classToAccess, T instance, int fieldIndex, E value)` Deprecated.
`static
`<T,E> void`
` | `setPrivateValue(Class<? super T> classToAccess, T instance, String fieldName, E value)` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### obfuscation

    public static boolean obfuscation

Constructor Detail

### ObfuscationReflectionHelper

    public ObfuscationReflectionHelper()

Method Detail

### getPrivateValue

    public static <T,E> T getPrivateValue(Class<? super E> classToAccess,
                                          E instance,
                                          int fieldIndex)

### getPrivateValue

    public static <T,E> T getPrivateValue(Class<? super E> classToAccess,
                                          E instance,
                                          String... fieldNames)

### setPrivateValue

    @Deprecated
    public static <T,E> void setPrivateValue(Class<? super T> classToAccess,
                                                        T instance,
                                                        int fieldIndex,
                                                        E value)

  Deprecated.

### setPrivateValue

    public static <T,E> void setPrivateValue(Class<? super T> classToAccess,
                                             T instance,
                                             E value,
                                             int fieldIndex)

### setPrivateValue

    @Deprecated
    public static <T,E> void setPrivateValue(Class<? super T> classToAccess,
                                                        T instance,
                                                        String fieldName,
                                                        E value)

  Deprecated.

### setPrivateValue

    public static <T,E> void setPrivateValue(Class<? super T> classToAccess,
                                             T instance,
                                             E value,
                                             String... fieldNames)

### detectObfuscation

    public static void detectObfuscation(Class<?> clazz)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD